Issue #8124 has been updated by prijutme4ty (Ilya Vorontsov).


I periodically have similar but not the same issue. 

>gem install rails
ERROR:  Could not find a valid gem 'rails' (>= 0), here is why:
          Unable to download data from https://rubygems.org/ - SSL_connect SYSCALL returned=5 errno=0 state=SSLv2/v3 read server hello A (https://rubygems.org/latest_specs.4.8.gz)
ERROR:  Possible alternatives: rails

gem sources shows me https://rubygems.org
I work with Windows system, ruby both version 1.9.3p0, 2.0.0p0, gem version 2.0.3, OpenSSL 1.0.1e(11 Feb 2013)
For example I get this issue when trying to install rails. gem update also doesn't affect rails gem (while many other gems updated properly)
----------------------------------------
Bug #8124: gem fails to install valid gems
https://bugs.ruby-lang.org/issues/8124#change-37773

Author: artagnon (Ramkumar Ramachandra)
Status: Open
Priority: Normal
Assignee: 
Category: 
Target version: 
ruby -v: 2.0.0p0


I'm not able to reproduce this, but many people have reported it on occasion.

    $ gem install bundler
    ERROR:  Could not find a valid gem 'bundler' (>= 0) in any repository
    ERROR:  Possible alternatives: bundler

Can anyone confirm this?


-- 
http://bugs.ruby-lang.org/